<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Payment.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idpaytyp"
                                 baseTableName="payment"
                                 constraintName="fk_payment_payment_type_id"
                                 referencedColumnNames="idpaytyp"
                                 referencedTableName="payment_type"/>

        <addForeignKeyConstraint baseColumnNames="idpaymet"
                                 baseTableName="payment"
                                 constraintName="fk_payment_method_id"
                                 referencedColumnNames="idpaymet"
                                 referencedTableName="payment_method"/>

        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="payment"
                                 constraintName="fk_payment_internal_id"
                                 referencedColumnNames="idinternal"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idpaito"
                                 baseTableName="payment"
                                 constraintName="fk_payment_paid_to_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

        <addForeignKeyConstraint baseColumnNames="idpaifro"
                                 baseTableName="payment"
                                 constraintName="fk_payment_paid_from_id"
                                 referencedColumnNames="idbillto"
                                 referencedTableName="bill_to"/>

    </changeSet>
</databaseChangeLog>
